/*----------------------------------------------------------------------
| protstubs.h - MOproto* function stubs.
|
|	These stubbed MOproto* functions are used when linking DV-Tools 
|	applications to avoid linking DV-Draw code into the executable.
|
|	The Tproto* functions use the same code as DV-Draw. When running
|	DV-Draw, the proto functions need to interact with the Prototype 
|	Run Menu, these stubs will prevent that code from being linked in.
*/
#include "dvtools.h"

BOOLPARAM
MOproto_menu_poll (proto_info)
     PROTO_INFO_PTR proto_info;
{
  return DV_FAILURE;		/* No menu polling */
}

void 
MOproto_status (proto_info,status_item,info)
     PROTO_INFO_PTR proto_info;
     int status_item;
     char *info;
{
  
}

void 
MOproto_redraw V_P_((void))
{
  
}

BOOLPARAM 
MOproto_error (proto_info, error)
     PROTO_INFO_PTR proto_info;
     char *error;
{
  return DV_SUCCESS;
}

void 
MOproto_setup (proto_info)
     PROTO_INFO_PTR proto_info;
{
  
}

LONG
MOproto_speed (vp, incr)
     RECTANGLE *vp;
     int incr;
{
  return 10;
}

void 
MOproto_cleanup (proto_info)
     PROTO_INFO_PTR proto_info;
{
  
}
